package org.jeecg.modules.Geoanalysisconfig.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 地图分析配置表
 * @Author: jeecg-boot
 * @Date:   2022-08-11
 * @Version: V1.0
 */
@Data
@TableName("geoanalysisconfig")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="geoanalysisconfig对象", description="地图分析配置表")
public class Geoanalysisconfig implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**序号*/
	@Excel(name = "序号", width = 15)
    @ApiModelProperty(value = "序号")
    private String xh;
	/**子序号*/
	@Excel(name = "子序号", width = 15)
    @ApiModelProperty(value = "子序号")
    private String zxh;
	/**主表名称*/
	@Excel(name = "主表名称", width = 15)
    @ApiModelProperty(value = "主表名称")
    private String mtablename;
	/**主表字段名称*/
	@Excel(name = "主表字段名称", width = 15)
    @ApiModelProperty(value = "主表字段名称")
    private String mfieldname;
	/**分析表英文名称*/
	@Excel(name = "分析表英文名称", width = 15)
    @ApiModelProperty(value = "分析表英文名称")
    private String atableename;
	/**分析表中文名称*/
	@Excel(name = "分析表中文名称", width = 15)
    @ApiModelProperty(value = "分析表中文名称")
    private String atablecname;
	/**分析表英文字段名称*/
	@Excel(name = "分析表英文字段名称", width = 15)
    @ApiModelProperty(value = "分析表英文字段名称")
    private String afieldename;
	/**分析表中文字段名称*/
	@Excel(name = "分析表中文字段名称", width = 15)
    @ApiModelProperty(value = "分析表中文字段名称")
    private String afieldcname;
}
