package org.jeecg.modules.commonQueryConfig.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 通用查询配置表
 * @Author: jeecg-boot
 * @Date:   2022-08-20
 * @Version: V1.0
 */
@Data
@TableName("common_query_config")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="common_query_config对象", description="通用查询配置表")
public class CommonQueryConfig implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**表英文名*/
	@Excel(name = "表英文名", width = 15)
    @ApiModelProperty(value = "表英文名")
    private java.lang.String tablename;
	/**表中文名*/
	@Excel(name = "表中文名", width = 15)
    @ApiModelProperty(value = "表中文名")
    private java.lang.String tablealias;
	/**查询字段名称*/
	@Excel(name = "查询字段名称", width = 15)
    @ApiModelProperty(value = "查询字段名称")
    private java.lang.String qfldname;
	/**关联表名称*/
	@Excel(name = "关联表名称", width = 15)
    @ApiModelProperty(value = "关联表名称")
    private java.lang.String reltablename;
	/**空间分析关联表名称*/
	@Excel(name = "空间分析关联表名称", width = 15)
    @ApiModelProperty(value = "空间分析关联表名称")
    private java.lang.String analysistablename;
	/**来源表关联字段名称*/
	@Excel(name = "来源表关联字段名称", width = 15)
    @ApiModelProperty(value = "来源表关联字段名称")
    private java.lang.String fromfldname;
	/**关联表字段名称*/
	@Excel(name = "关联表字段名称", width = 15)
    @ApiModelProperty(value = "关联表字段名称")
    private java.lang.String tofldname;
	/**字段展示顺序*/
	@Excel(name = "字段展示顺序", width = 15)
    @ApiModelProperty(value = "字段展示顺序")
    private java.lang.Integer showorder;
	/**字段英文名*/
	@Excel(name = "字段英文名", width = 15)
    @ApiModelProperty(value = "字段英文名")
    private java.lang.String fldname;
	/**字段中文名*/
	@Excel(name = "字段中文名", width = 15)
    @ApiModelProperty(value = "字段中文名")
    private java.lang.String fldalias;
	/**单位*/
	@Excel(name = "单位", width = 15)
    @ApiModelProperty(value = "单位")
    private java.lang.String unit;
	/**精度*/
	@Excel(name = "精度", width = 15)
    @ApiModelProperty(value = "精度")
    private java.lang.Integer pre;
	/**字段类型*/
	@Excel(name = "字段类型", width = 15)
    @ApiModelProperty(value = "字段类型")
    private java.lang.String type;
    /**数据字典名称*/
    @Excel(name = "数据字典名称", width = 15)
    @ApiModelProperty(value = "数据字典名称")
    private java.lang.String dictname;
    /**其他信息字段*/
    @Excel(name = "其他信息字段", width = 15)
    @ApiModelProperty(value = "其他信息字段")
    private java.lang.String otherfield;
    /**文件夹名称*/
    @Excel(name = "文件夹名称", width = 15)
    @ApiModelProperty(value = "文件夹名称")
    private java.lang.String filefolder;
    /**返回图形面积*/
    @Excel(name = "返回图形面积", width = 15)
    @ApiModelProperty(value = "返回图形面积")
    private java.lang.String returnarea;

}
