package org.jeecg.modules.resManager.catalog.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: rescatalog
 * @Author: jeecg-boot
 * @Date:   2022-07-06
 * @Version: V1.0
 */
@Data
@TableName("rescatalog")
@ApiModel(value="rescatalog对象", description="rescatalog")
public class Rescatalog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**父级节点*/
	@Excel(name = "父级节点", width = 15)
    @ApiModelProperty(value = "父级节点")
    private java.lang.String pid;
	/**是否有子节点*/
	@Excel(name = "是否有子节点", width = 15)
    @ApiModelProperty(value = "是否有子节点")
    private java.lang.String hasChild;
	/**图层名称*/
	@Excel(name = "图层名称", width = 15)
    @ApiModelProperty(value = "图层名称")
    private java.lang.String name;
	/**图层别名*/
	@Excel(name = "图层别名", width = 15)
    @ApiModelProperty(value = "图层别名")
    private java.lang.String alias;
	/**图层服务地址*/
	@Excel(name = "图层服务地址", width = 15)
    @ApiModelProperty(value = "图层服务地址")
    private java.lang.String url;
    /**子图层ID*/
    @Excel(name = "子图层ID", width = 15)
    @ApiModelProperty(value = "子图层ID")
    private java.lang.Integer sublayerid;
	/**是否显示*/
	@Excel(name = "是否显示", width = 15, dicCode = "visible")
	@Dict(dicCode = "visible")
    @ApiModelProperty(value = "是否显示")
    private java.lang.String visible;
	/**是否显示标注*/
	@Excel(name = "是否显示标注", width = 15, dicCode = "visible")
	@Dict(dicCode = "visible")
    @ApiModelProperty(value = "是否显示标注")
    private java.lang.String labelsvisible;
    /**服务类型*/
	@Excel(name = "服务类型", width = 15, dicCode = "servicetype")
    @Dict(dicCode = "servicetype")
    @ApiModelProperty(value = "服务类型")
    private java.lang.String servicetype;
	/**显示层级*/
	@Excel(name = "显示层级", width = 15)
    @ApiModelProperty(value = "显示层级")
    private java.lang.Integer zindex;
	/**列表显示顺序*/
	@Excel(name = "列表显示顺序", width = 15)
    @ApiModelProperty(value = "列表显示顺序")
    private java.lang.Float displayorder;
	/**数据服务接口*/
	@Excel(name = "数据服务接口", width = 15)
    @ApiModelProperty(value = "数据服务接口")
    private java.lang.String dataport;
	/**数据关联字段*/
	@Excel(name = "数据关联字段", width = 15)
    @ApiModelProperty(value = "数据关联字段")
    private java.lang.String relfield;
    /**是否参与查询*/
    @Excel(name = "是否参与查询", width = 15, dicCode = "whether")
    @Dict(dicCode = "whether")
    @ApiModelProperty(value = "是否参与查询")
    private String queryable;
    /**是否返回树形查询结果*/
    @Excel(name = "是否返回树形查询结果", width = 15, dicCode = "whether")
    @Dict(dicCode = "whether")
    @ApiModelProperty(value = "是否返回树形查询结果")
    private String returntree;
    /**数据表名称*/
    @Excel(name = "数据表名称", width = 15)
    @ApiModelProperty(value = "数据表名称")
    private String tablename;
    /**是否参与分析*/
    @Excel(name = "是否参与分析", width = 15, dicCode = "whether")
    @Dict(dicCode = "whether")
    @ApiModelProperty(value = "是否参与分析")
    private String analyzable;
    /**分析类型名称*/
    @Excel(name = "分析类型名称", width = 15)
    @ApiModelProperty(value = "分析类型名称")
    private String sourcename;
	/**图例*/
	@Excel(name = "图例", width = 15)
    @ApiModelProperty(value = "图例")
    private java.lang.String legend;

    /**查询字段*/
    @Excel(name = "查询字段", width = 15)
    @ApiModelProperty(value = "查询字段")
    private String queryfield;
    /**显示字段*/
    @Excel(name = "显示字段", width = 15)
    @ApiModelProperty(value = "显示字段")
    private String showfield;
    /**提示内容*/
    @Excel(name = "提示内容", width = 15)
    @ApiModelProperty(value = "提示内容")
    private String lyrhint;
    /**是否是案件*/
    @Excel(name = "是否是案件", width = 15, dicCode = "whether")
    @Dict(dicCode = "whether")
    @ApiModelProperty(value = "是否是案件")
    private String iscase;
    /**是否过滤*/
    @Excel(name = "是否过滤", width = 15, dicCode = "whether")
    @Dict(dicCode = "whether")
    @ApiModelProperty(value = "是否过滤")
    private String filter;
    /**面积单位*/
    @Excel(name = "面积单位", width = 15)
    @ApiModelProperty(value = "面积单位")
    private String areaunit;

	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
    /**查询字段名称*/
    @Excel(name = "查询字段名称", width = 15)
    @ApiModelProperty(value = "查询字段名称")
    private java.lang.String queryname;
    /**查询字段中文名称*/
    @Excel(name = "查询字段中文名称", width = 15)
    @ApiModelProperty(value = "查询字段中文名称")
    private java.lang.String chinesename;
    /**图层样式*/
    @Excel(name = "图层样式", width = 15)
    @ApiModelProperty(value = "图层样式")
    private java.lang.String style;
}
