package org.jeecg.modules.resManager.categories.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 图层图例展示类型
 * @Author: jeecg-boot
 * @Date:   2022-01-17
 * @Version: V1.0
 */
@Data
@TableName("layercategories")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="layercategories对象", description="图层图例展示类型")
public class Layercategories implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**图层名称*/
	@Excel(name = "图层名称", width = 15, dictTable = "rescatalog", dicText = "alias", dicCode = "name")
	@Dict(dictTable = "rescatalog", dicText = "alias", dicCode = "name")
    @ApiModelProperty(value = "图层名称")
    private String layername;
	/**图例展示名称*/
	@Excel(name = "图例展示名称", width = 15)
    @ApiModelProperty(value = "图例展示名称")
    private String legendname;
	/**图例图片*/
	@Excel(name = "图例图片", width = 15)
    @ApiModelProperty(value = "图例图片")
    private String legendimg;
}
