package org.jeecg.modules.toolManage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.common.system.vo.SelectTreeModel;
import org.jeecg.modules.resManager.catalog.entity.Rescatalog;
import org.jeecg.modules.toolManage.entity.Toolmanage;

import java.util.List;
import java.util.Map;

/**
 * @Description: 地图工具管理
 * @Author: jeecg-boot
 * @Date:   2022-07-30
 * @Version: V1.0
 */
public interface ToolmanageMapper extends BaseMapper<Toolmanage> {

	/**
	 * 编辑节点状态
	 * @param id
	 * @param status
	 */
	void updateTreeNodeStatus(@Param("id") String id,@Param("status") String status);

	/**
	 * 【vue3专用】根据父级ID查询树节点数据
	 *
	 * @param pid
	 * @param query
	 * @return
	 */
	List<SelectTreeModel> queryListByPid(@Param("pid") String pid, @Param("query") Map<String, String> query);

	/**
	 * 根据用户查询用户地图工具权限
	 */
	public List<Toolmanage> queryByUser(@Param("username") String username);
}
