package org.jeecg.modules.toolManage.service;

import org.jeecg.common.system.vo.SelectTreeModel;
import org.jeecg.modules.resManager.catalog.entity.Rescatalog;
import org.jeecg.modules.toolManage.entity.Toolmanage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.exception.JeecgBootException;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import java.util.List;

/**
 * @Description: 地图工具管理
 * @Author: jeecg-boot
 * @Date:   2022-07-30
 * @Version: V1.0
 */
public interface IToolmanageService extends IService<Toolmanage> {

	/**根节点父ID的值*/
	public static final String ROOT_PID_VALUE = "0";
	
	/**树节点有子节点状态值*/
	public static final String HASCHILD = "1";
	
	/**树节点无子节点状态值*/
	public static final String NOCHILD = "0";

	/**
	 * 新增节点
	 *
	 * @param toolmanage
	 */
	void addToolmanage(Toolmanage toolmanage);
	
	/**
   * 修改节点
   *
   * @param toolmanage
   * @throws JeecgBootException
   */
	void updateToolmanage(Toolmanage toolmanage) throws JeecgBootException;
	
	/**
	 * 删除节点
	 *
	 * @param id
   * @throws JeecgBootException
	 */
	void deleteToolmanage(String id) throws JeecgBootException;

	  /**
	   * 查询所有数据，无分页
	   *
	   * @param queryWrapper
	   * @return List<Toolmanage>
	   */
    List<Toolmanage> queryTreeListNoPage(QueryWrapper<Toolmanage> queryWrapper);

	/**
	 * 【vue3专用】根据父级编码加载分类字典的数据
	 *
	 * @param parentCode
	 * @return
	 */
	List<SelectTreeModel> queryListByCode(String parentCode);

	/**
	 * 【vue3专用】根据pid查询子节点集合
	 *
	 * @param pid
	 * @return
	 */
	List<SelectTreeModel> queryListByPid(String pid);


	/**
	 * 根据用户查询所有数据，无分页
	 *
	 * @param username
	 * @return List<Toolmanage>
	 */
	List<Toolmanage> queryByUser(String username);

}
