package org.jeecg.modules.topicManage.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 专题图配置
 * @Author: jeecg-boot
 * @Date:   2022-10-08
 * @Version: V1.0
 */
@Data
@TableName("topics_config")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="topics_config对象", description="专题图配置")
public class TopicsConfig implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**专题图ID*/
	@Excel(name = "专题图ID", width = 15)
    @ApiModelProperty(value = "专题图ID")
    private java.lang.String topicid;
	/**专题图名称*/
	@Excel(name = "专题图名称", width = 15)
    @ApiModelProperty(value = "专题图名称")
    private java.lang.String topicname;
	/**自定义默认加载的图层*/
	@Excel(name = "自定义默认加载的图层", width = 15, dictTable = "VIEW_BUSS_LAYERS", dicText = "alias", dicCode = "id")
	@Dict(dictTable = "VIEW_BUSS_LAYERS", dicText = "alias", dicCode = "id")
    @ApiModelProperty(value = "自定义默认加载的图层")
    private java.lang.String displayers;
	/**自定义加载的工具*/
	@Excel(name = "自定义加载的工具", width = 15, dictTable = "VIEW_MAP_TOOLS", dicText = "name", dicCode = "code")
	@Dict(dictTable = "VIEW_MAP_TOOLS", dicText = "name", dicCode = "code")
    @ApiModelProperty(value = "自定义加载的工具")
    private java.lang.String disptools;
	/**自定义查询类型*/
	@Excel(name = "自定义查询类型", width = 15, dictTable = "VIEW_QUERY_CONFIG", dicText = "tablealias", dicCode = "id")
	@Dict(dictTable = "VIEW_QUERY_CONFIG", dicText = "tablealias", dicCode = "id")
    @ApiModelProperty(value = "自定义查询类型")
    private java.lang.String querytypes;
	/**自定义分析类型*/
	@Excel(name = "自定义分析类型", width = 15, dictTable = "VIEW_ANALYSIS_CONFIG", dicText = "sourcename", dicCode = "tablename")
	@Dict(dictTable = "VIEW_ANALYSIS_CONFIG", dicText = "sourcename", dicCode = "tablename")
    @ApiModelProperty(value = "自定义分析类型")
    private java.lang.String analysistypes;
}
