package org.jeecg.modules.zrzyqc.gzvhb.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: qc_ssgqzysytdqk_gzv
 * @Author: jeecg-boot
 * @Date:   2024-07-27
 * @Version: V1.0
 */
@Data
@TableName("qc_ssgqzysytdqk_gzv")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="qc_ssgqzysytdqk_gzv对象", description="qc_ssgqzysytdqk_gzv")
public class QcSsgqzysytdqkGzv implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**录入主体编码*/
	@Excel(name = "录入主体编码", width = 15)
    @ApiModelProperty(value = "录入主体编码")
    private String createById;
	/**录入主体*/
    @ApiModelProperty(value = "录入主体")
    private String createBy;
	/**宗地名称*/
	@Excel(name = "宗地名称", width = 15)
    @ApiModelProperty(value = "宗地名称")
    private String dk;
	/**所属权利类型*/
	@Excel(name = "所属权利类型", width = 15)
    @ApiModelProperty(value = "所属权利类型")
    private String ssqType;
	/**权利类型*/
	@Excel(name = "权利类型", width = 15)
    @ApiModelProperty(value = "权利类型")
    private String ssqTypeName;
	/**其他权利类型*/
	@Excel(name = "其他权利类型", width = 15)
    @ApiModelProperty(value = "其他权利类型")
    private String ssqOtherName;
	/**权属期限编码（土地使用年限编码）*/
	@Excel(name = "权属期限编码（土地使用年限编码）", width = 15)
    @ApiModelProperty(value = "权属期限编码（土地使用年限编码）")
    private String qsqxCode;
	/**权属期限（土地使用年限）*/
	@Excel(name = "权属期限（土地使用年限）", width = 15)
    @Dict(dicCode = "qsqx")
    @ApiModelProperty(value = "权属期限（土地使用年限）")
    private String qsqx;
	/**使用年限其它*/
	@Excel(name = "使用年限其它", width = 15)
    @ApiModelProperty(value = "使用年限其它")
    private String tdSynxOther;
	/**土地坐落-省*/
	@Excel(name = "土地坐落-省", width = 15)
    @ApiModelProperty(value = "土地坐落-省")
    private String regProvince;
	/**土地坐落-市*/
	@Excel(name = "土地坐落-市", width = 15)
    @ApiModelProperty(value = "土地坐落-市")
    private String regCity;
	/**土地坐落-区*/
	@Excel(name = "土地坐落-区", width = 15)
    @ApiModelProperty(value = "土地坐落-区")
    private String regArea;
	/**行政区划编码*/
	@Excel(name = "行政区划编码", width = 15)
    @Dict(dicCode = "xzqh")
    @ApiModelProperty(value = "行政区划编码")
    private String xzqh;
	/**详细地址*/
	@Excel(name = "详细地址", width = 15)
    @ApiModelProperty(value = "详细地址")
    private String zlwz;
	/**土地归属企业代码*/
	@Excel(name = "土地归属企业代码", width = 15)
    @ApiModelProperty(value = "土地归属企业代码")
    private String tdgsqyyId;
	/**土地归属企业名称*/
	@Excel(name = "土地归属企业名称", width = 15)
    @ApiModelProperty(value = "土地归属企业名称")
    private String tdgsqyy;
	/**国家出资企业*/
	@Excel(name = "国家出资企业", width = 15)
    @ApiModelProperty(value = "国家出资企业")
    private String gjczqyName;
	/**证书类型产权证持有情况*/
	@Excel(name = "证书类型产权证持有情况", width = 15)
    @ApiModelProperty(value = "证书类型产权证持有情况")
    private String zscyqkCode;
	/**证书持有情况*/
	@Excel(name = "证书持有情况", width = 15)
    @Dict(dicCode = "sfgyz")
    @ApiModelProperty(value = "证书持有情况")
    private String zscyqk;
	/**其它证书*/
	@Excel(name = "其它证书", width = 15)
    @ApiModelProperty(value = "其它证书")
    private String otherZscyqk;
	/**产权证号-证书/合同/文件编号/产权编号*/
	@Excel(name = "产权证号-证书/合同/文件编号/产权编号", width = 15)
    @ApiModelProperty(value = "产权证号-证书/合同/文件编号/产权编号")
    private String wjbh;
	/**权证登记使用人ID*/
	@Excel(name = "权证登记使用人ID", width = 15)
    @ApiModelProperty(value = "权证登记使用人ID")
    private String tdsyqrCode;
	/**权证登记使用人名称*/
	@Excel(name = "权证登记使用人名称", width = 15)
    @ApiModelProperty(value = "权证登记使用人名称")
    private String tdsyqr;
	/**权属起始时间*/
	@Excel(name = "权属起始时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "权属起始时间")
    private Date qsqssj;
	/**其中批准使用面积(㎡)*/
	@Excel(name = "其中批准使用面积(㎡)", width = 15)
    @ApiModelProperty(value = "其中批准使用面积(㎡)")
    private java.lang.Double qzpzsymj;
	/**证载批准用途代码*/
	@Excel(name = "证载批准用途代码", width = 15)
    @ApiModelProperty(value = "证载批准用途代码")
    private String pzytCode;
	/**批准用途*/
	@Excel(name = "批准用途", width = 15)
    @Dict(dicCode = "id", dictTable = "sys_category", dicText = "name")
    @ApiModelProperty(value = "批准用途")
    private String pzyt;
	/**批准用途其它*/
	@Excel(name = "批准用途其它", width = 15)
    @ApiModelProperty(value = "批准用途其它")
    private String otherPzyt;
	/**政府规划用途代码*/
	@Excel(name = "政府规划用途代码", width = 15)
    @ApiModelProperty(value = "政府规划用途代码")
    private String zfghytCode;
	/**政府规划用途*/
	@Excel(name = "政府规划用途", width = 15)
    @Dict(dicCode = "id", dictTable = "sys_category", dicText = "name")
    @ApiModelProperty(value = "政府规划用途")
    private String zfghyt;
	/**政府规划其它*/
	@Excel(name = "政府规划其它", width = 15)
    @ApiModelProperty(value = "政府规划其它")
    private String otherZfghyt;
	/**权属登记使用人名称是否与实际使用人一致代码*/
	@Excel(name = "权属登记使用人名称是否与实际使用人一致代码", width = 15)
    @ApiModelProperty(value = "权属登记使用人名称是否与实际使用人一致代码")
    private String sfyzCode;
	/**权属登记使用人名称是否与实际使用人一致*/
	@Excel(name = "权属登记使用人名称是否与实际使用人一致", width = 15)
    @ApiModelProperty(value = "权属登记使用人名称是否与实际使用人一致")
    private String sfyz;
	/**土地实际使用人*/
	@Excel(name = "土地实际使用人", width = 15)
    @ApiModelProperty(value = "土地实际使用人")
    private String tdsjsyr;
	/**使用权类型使用方式*/
	@Excel(name = "使用权类型使用方式", width = 15)
    @ApiModelProperty(value = "使用权类型使用方式")
    private String syqsyfsCode;
	/**使用权使用方式 */
	@Excel(name = "使用权使用方式 ", width = 15)
    @Dict(dicCode = "syqsyfs")
    @ApiModelProperty(value = "使用权使用方式 ")
    private String syqsyfs;
	/**使用权使用方式其它*/
	@Excel(name = "使用权使用方式其它", width = 15)
    @ApiModelProperty(value = "使用权使用方式其它")
    private String otherSyqsyfs;
	/**实际占用土地面积(㎡)*/
	@Excel(name = "实际占用土地面积(㎡)", width = 15)
    @ApiModelProperty(value = "实际占用土地面积(㎡)")
    private java.lang.Double sjzytdmj;
	/**政府规划用途是否与实际用途一致代码*/
	@Excel(name = "政府规划用途是否与实际用途一致代码", width = 15)
    @ApiModelProperty(value = "政府规划用途是否与实际用途一致代码")
    private String zfghsfyzCode;
	/**政府规划用途是否与实际用途一致*/
	@Excel(name = "政府规划用途是否与实际用途一致", width = 15)
    @ApiModelProperty(value = "政府规划用途是否与实际用途一致")
    private String zfghsfyz;
	/**实际用途编码*/
	@Excel(name = "实际用途编码", width = 15)
    @ApiModelProperty(value = "实际用途编码")
    private String sjytCode;
	/**实际用途*/
	@Excel(name = "实际用途", width = 15)
    @Dict(dicCode = "id", dictTable = "sys_category", dicText = "name")
    @ApiModelProperty(value = "实际用途")
    private String sjyt;
	/**实际用途其它*/
	@Excel(name = "实际用途其它", width = 15)
    @ApiModelProperty(value = "实际用途其它")
    private String otherSjyt;
	/**实际用途是否符合划拨用地目录字典编码*/
	@Excel(name = "实际用途是否符合划拨用地目录字典编码", width = 15)
    @ApiModelProperty(value = "实际用途是否符合划拨用地目录字典编码")
    private String sjytsffhCode;
	/**实际用途是否符合划拨用地目录*/
	@Excel(name = "实际用途是否符合划拨用地目录", width = 15)
    @Dict(dicCode = "sfgyz")
    @ApiModelProperty(value = "实际用途是否符合划拨用地目录")
    private String sjytsffh;
	/**产权变更需补交的土地出让金数额(万元)*/
	@Excel(name = "产权变更需补交的土地出让金数额(万元)", width = 15)
    @ApiModelProperty(value = "产权变更需补交的土地出让金数额(万元)")
    private java.lang.Double cqbgbjtdje;
	/**是否需要缴纳土地使用税代码*/
	@Excel(name = "是否需要缴纳土地使用税代码", width = 15)
    @ApiModelProperty(value = "是否需要缴纳土地使用税代码")
    private String sfxyjntdsysCode;
	/**是否需要缴纳土地使用税*/
	@Excel(name = "是否需要缴纳土地使用税", width = 15)
    @Dict(dicCode = "sfgyz")
    @ApiModelProperty(value = "是否需要缴纳土地使用税")
    private String sfxyjntdsys;
	/**土地使用税缴纳金额*/
	@Excel(name = "土地使用税缴纳金额", width = 15)
    @ApiModelProperty(value = "土地使用税缴纳金额")
    private java.lang.Double tdsysjnje;
	/**土地账面原值(万元)*/
	@Excel(name = "土地账面原值(万元)", width = 15)
    @ApiModelProperty(value = "土地账面原值(万元)")
    private java.lang.Double tdzmyz;
	/**土地账面净值(万元)*/
	@Excel(name = "土地账面净值(万元)", width = 15)
    @ApiModelProperty(value = "土地账面净值(万元)")
    private java.lang.Double tdzmjz;
	/**土地市场价值(万元)*/
	@Excel(name = "土地市场价值(万元)", width = 15)
    @ApiModelProperty(value = "土地市场价值(万元)")
    private java.lang.Double tdscjz;
	/**土地租赁价值(万元)*/
	@Excel(name = "土地租赁价值(万元)", width = 15)
    @ApiModelProperty(value = "土地租赁价值(万元)")
    private java.lang.Double tdzljz;
	/**土地使用现状编码*/
	@Excel(name = "土地使用现状编码", width = 15)
    @ApiModelProperty(value = "土地使用现状编码")
    private String tdsyxzCode;
	/**土地使用现状*/
	@Excel(name = "土地使用现状", width = 15)
    @Dict(dicCode = "tdsyxz")
    @ApiModelProperty(value = "土地使用现状")
    private String tdsyxz;
	/**正常使用现状代码*/
	@Excel(name = "正常使用现状代码", width = 15)
    @ApiModelProperty(value = "正常使用现状代码")
    private String zcsyxzCode;
	/**正常使用现状中文*/
	@Excel(name = "正常使用现状中文", width = 15)
    @ApiModelProperty(value = "正常使用现状中文")
    private String zcsyzx;
	/**待盘活现状代码*/
	@Excel(name = "待盘活现状代码", width = 15)
    @ApiModelProperty(value = "待盘活现状代码")
    private String dphxzCode;
	/**待盘活现状*/
	@Excel(name = "待盘活现状", width = 15)
    @ApiModelProperty(value = "待盘活现状")
    private String dphxz;
	/**盘活利用途径代码*/
	@Excel(name = "盘活利用途径代码", width = 15)
    @ApiModelProperty(value = "盘活利用途径代码")
    private String phlytjCode;
	/**盘活利用途径名称*/
	@Excel(name = "盘活利用途径名称", width = 15)
    @ApiModelProperty(value = "盘活利用途径名称")
    private String phlytj;
	/**其他盘活利用途径*/
	@Excel(name = "其他盘活利用途径", width = 15)
    @ApiModelProperty(value = "其他盘活利用途径")
    private String otherPhlytj;
	/**地上建筑物产权人是否与权证登记人使用人名称是否一致字典*/
	@Excel(name = "地上建筑物产权人是否与权证登记人使用人名称是否一致字典", width = 15)
    @ApiModelProperty(value = "地上建筑物产权人是否与权证登记人使用人名称是否一致字典")
    private String dsjzwsfyzCode;
	/**地上建筑物产权人是否与权证登记人使用人名称是否一致 */
	@Excel(name = "地上建筑物产权人是否与权证登记人使用人名称是否一致 ", width = 15)
    @Dict(dicCode = "sfgyz")
    @ApiModelProperty(value = "地上建筑物产权人是否与权证登记人使用人名称是否一致 ")
    private String dsjzwsfyz;
	/**地上建筑物产权人*/
	@Excel(name = "地上建筑物产权人", width = 15)
    @ApiModelProperty(value = "地上建筑物产权人")
    private String dsjzwcqr;
	/**地上建筑物用途*/
	@Excel(name = "地上建筑物用途", width = 15)
    @ApiModelProperty(value = "地上建筑物用途")
    private String dsjzwyt;
	/**地理区位情况代码字典*/
	@Excel(name = "地理区位情况代码字典", width = 15)
    @ApiModelProperty(value = "地理区位情况代码字典")
    private String dlwzCode;
	/**地理区位情况中文*/
	@Excel(name = "地理区位情况中文", width = 15)
    @ApiModelProperty(value = "地理区位情况中文")
    private String dlwzName;
	/**填报人*/
	@Excel(name = "填报人", width = 15)
    @ApiModelProperty(value = "填报人")
    private String tbr;
	/**联系电话*/
	@Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private String lxdh;
	/**是否存在产权纠纷*/
	@Excel(name = "是否存在产权纠纷", width = 15)
    @ApiModelProperty(value = "是否存在产权纠纷")
    private String sfczjfCode;
	/**是否存在产权纠纷*/
	@Excel(name = "是否存在产权纠纷", width = 15)
    @Dict(dicCode = "sfgyz")
    @ApiModelProperty(value = "是否存在产权纠纷")
    private String sfczjf;
	/**产权信息补充说明*/
	@Excel(name = "产权信息补充说明", width = 15)
    @ApiModelProperty(value = "产权信息补充说明")
    private String cqxxbcsm;
	/**实际使用建筑面积(㎡)*/
	@Excel(name = "实际使用建筑面积(㎡)", width = 15)
    @ApiModelProperty(value = "实际使用建筑面积(㎡)")
    private java.lang.Double sjsyjzmj;
	/**其中批准使用面积(㎡)*/
	@Excel(name = "其中批准使用面积(㎡)", width = 15)
    @ApiModelProperty(value = "其中批准使用面积(㎡)")
    private java.lang.Double qzpzsymj2;
	/**总建筑面积(㎡)*/
	@Excel(name = "总建筑面积(㎡)", width = 15)
    @ApiModelProperty(value = "总建筑面积(㎡)")
    private java.lang.Double zjzmj;
	/**实际容积率*/
	@Excel(name = "实际容积率", width = 15)
    @ApiModelProperty(value = "实际容积率")
    private java.lang.Double sjrjl;
	/**权属到期时间*/
	@Excel(name = "权属到期时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "权属到期时间")
    private Date qsdqsj;
	/**担保、抵押、查封情况*/
	@Excel(name = "担保、抵押、查封情况", width = 15)
    @Dict(dicCode = "dbdycfqk")
    @ApiModelProperty(value = "担保、抵押、查封情况")
    private String dbdycfqk;
	/**相关文件*/
	@Excel(name = "相关文件", width = 15)
    @ApiModelProperty(value = "相关文件")
    private String xgwj;
	/**文件类型*/
	@Excel(name = "文件类型", width = 15)
    @Dict(dicCode = "wjlx")
    @ApiModelProperty(value = "文件类型")
    private String wjlx;
	/**是否上报*/
    @Excel(name = "是否上报", width = 15, dicCode = "xxsbzt")
    @Dict(dicCode = "xxsbzt")
    @ApiModelProperty(value = "是否上报")
    private java.lang.Integer sfsb;
	/**审核意见*/
	@Excel(name = "审核意见", width = 15)
    @ApiModelProperty(value = "审核意见")
    private String shyj;
	/**审核日期*/
	@Excel(name = "审核日期", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "审核日期")
    private Date shrq;
	/**审核是否通过*/
	@Excel(name = "审核是否通过", width = 15)
    @ApiModelProperty(value = "审核是否通过")
    private String shzt;
	/**审核人*/
	@Excel(name = "审核人", width = 15)
    @ApiModelProperty(value = "审核人")
    private String shren;
	/**坐标位置相关证明材料*/
	@Excel(name = "坐标位置相关证明材料", width = 15)
    @ApiModelProperty(value = "坐标位置相关证明材料")
    private String zbwzxgzmcl;
	/**土地资产权属证明材料*/
	@Excel(name = "土地资产权属证明材料", width = 15)
    @ApiModelProperty(value = "土地资产权属证明材料")
    private String tdzcqszmcl;
	/**统一社会信用代码证书*/
	@Excel(name = "统一社会信用代码证书", width = 15)
    @ApiModelProperty(value = "统一社会信用代码证书")
    private String tyshxydmzs;
	/**房屋资产权属证明材料*/
	@Excel(name = "房屋资产权属证明材料", width = 15)
    @ApiModelProperty(value = "房屋资产权属证明材料")
    private String fwzcqszmcl;
	/**面积单位*/
	@Excel(name = "面积单位", width = 15)
    @ApiModelProperty(value = "面积单位")
    private String sjsyjzmjdw;
	/**是否共用宗地*/
	@Excel(name = "是否共用宗地", width = 15)
    @Dict(dicCode = "sfgyz")
    @ApiModelProperty(value = "是否共用宗地")
    private String sfgyz;
	/**权益受损情况*/
	@Excel(name = "权益受损情况", width = 15)
    @Dict(dicCode = "qyssqk")
    @ApiModelProperty(value = "权益受损情况")
    private String qyssqk;
	/**出租出借情况*/
	@Excel(name = "出租出借情况", width = 15)
    @Dict(dicCode = "czcjqk")
    @ApiModelProperty(value = "出租出借情况")
    private String czcjqk;
	/**地块编号-标识*/
	@Excel(name = "地块编号-标识", width = 15)
    @ApiModelProperty(value = "地块编号-标识")
    private String dkbh;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    @Dict(dictTable = "sys_depart", dicText = "depart_name", dicCode = "org_code")
    private String sysOrgCode;
	/**是否有盘活意愿*/
	@Excel(name = "是否有盘活意愿", width = 15)
    @Dict(dicCode = "sfgyz")
    @ApiModelProperty(value = "是否有盘活意愿")
    private String sfyphyy;
	/**意向盘活主体*/
	@Excel(name = "意向盘活主体", width = 15)
    @ApiModelProperty(value = "意向盘活主体")
    private String yxphzt;
	/**意向盘活方式*/
	@Excel(name = "意向盘活方式", width = 15)
    @ApiModelProperty(value = "意向盘活方式")
    private String yxphfs;
	/**盘活时间*/
	@Excel(name = "盘活时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "盘活时间")
    private Date phsj;
	/**盘活计划*/
	@Excel(name = "盘活计划", width = 15)
    @ApiModelProperty(value = "盘活计划")
    private String phjh;
	/**企业所得税*/
	@Excel(name = "企业所得税", width = 15)
    @ApiModelProperty(value = "企业所得税")
    private String nss;
	/**主营业务收入*/
	@Excel(name = "主营业务收入", width = 15)
    @ApiModelProperty(value = "主营业务收入")
    private java.lang.Double yysr;
	/**就业人数*/
	@Excel(name = "就业人数", width = 15)
    @ApiModelProperty(value = "就业人数")
    private Integer jyrs;
	/**净利润*/
	@Excel(name = "净利润", width = 15)
    @ApiModelProperty(value = "净利润")
    private java.lang.Double lirun;
	/**营业税金及附加*/
	@Excel(name = "营业税金及附加", width = 15)
    @ApiModelProperty(value = "营业税金及附加")
    private java.lang.Double yys;
	/**上级单位*/
	@Excel(name = "上级单位", width = 15)
    @ApiModelProperty(value = "上级单位")
    private String sjdw;
	/**国有资产持股比例*/
	@Excel(name = "国有资产持股比例", width = 15)
    @ApiModelProperty(value = "国有资产持股比例")
    private java.lang.Double gyzccgbl;
	/**企业编码*/
	@Excel(name = "企业编码", width = 15)
    @ApiModelProperty(value = "企业编码")
    private String qybm;
	/**单位级别*/
	@Excel(name = "单位级别", width = 15)
    @ApiModelProperty(value = "单位级别")
    private String orgType;
	/**单位编码*/
	@Excel(name = "单位编码", width = 15)
    @ApiModelProperty(value = "单位编码")
    private String orgCode;
	/**主管部门*/
	@Excel(name = "主管部门", width = 15)
    @ApiModelProperty(value = "主管部门")
    private String sjdwdm;
	/**分管领导*/
	@Excel(name = "分管领导", width = 15)
    @ApiModelProperty(value = "分管领导")
    private String fgld;
	/**分管领导手机号*/
	@Excel(name = "分管领导手机号", width = 15)
    @ApiModelProperty(value = "分管领导手机号")
    private String fgldsjh;
	/**手机号*/
	@Excel(name = "手机号", width = 15)
    @ApiModelProperty(value = "手机号")
    private String sjh;
	/**证件号*/
	@Excel(name = "证件号", width = 15)
    @ApiModelProperty(value = "证件号")
    private String zjh;
	/**是否涉及省内土地资产*/
	@Excel(name = "是否涉及省内土地资产", width = 15)
    @ApiModelProperty(value = "是否涉及省内土地资产")
    private String sfsjtdzc;
	/**审核时间*/
	@Excel(name = "审核时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "审核时间")
    private Date shsj;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private String bz;
	/**是否存在图片*/
	@Excel(name = "是否存在图片", width = 15)
    @ApiModelProperty(value = "是否存在图片")
    private String sfcztp;
	/**是否存在VR*/
	@Excel(name = "是否存在VR", width = 15)
    @ApiModelProperty(value = "是否存在VR")
    private String sfczvr;
	/**是否存在矢量数据*/
	@Excel(name = "是否存在矢量数据", width = 15)
    @ApiModelProperty(value = "是否存在矢量数据")
    private String sfczslsj;
	/**全景图片*/
	@Excel(name = "全景图片", width = 15)
    @ApiModelProperty(value = "全景图片")
    private String vr;
	/**现场图片*/
	@Excel(name = "现场图片", width = 15)
    @ApiModelProperty(value = "现场图片")
    private String images;
	/**创建日期*/
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**修复中心id*/
	@Excel(name = "修复中心id", width = 15)
    @ApiModelProperty(value = "修复中心id")
    private String xfzxId;
	/**国资委id*/
	@Excel(name = "国资委id", width = 15)
    @ApiModelProperty(value = "国资委id")
    private String gzvId;
	/**数据状态*/
	@Excel(name = "数据状态", width = 15)
    @ApiModelProperty(value = "数据状态")
    private String state;
	/**删除标志*/
	@Excel(name = "删除标志", width = 15)
    @ApiModelProperty(value = "删除标志")
    private String delFlag;

    /**zslx*/
    @Excel(name = "证书类型", width = 125)
    @ApiModelProperty(value = "证书类型")
    @Dict(dicCode = "zslx")
    private String zslx;

    //增加,过滤导出条件用
    /**县区*/
    @Excel(name = "地市", width = 15,dicCode = "xq")
    @TableField(exist = false)
    @ApiModelProperty(value = "县区" )
    private String xq;
}
