package org.jeecg.modules.zrzyqc.qcsb.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 这是一个省直单位地块导出表，不要修改哦
 * @Author: jeecg-boot
 * @Date:   2022-06-14
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@TableName("qc_ssgqzysytdqk_gzv")
@EqualsAndHashCode(callSuper = false)
public class QcSsgqzysytdqk1 implements Serializable {
    /**主键*/
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
    /**创建人*/
    @Excel(name = "用地单位", width = 15)
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**主管单位*/
    @TableField(exist = false)
    @Excel(name = "主管单位", width = 15)
    @ApiModelProperty(value = "主管单位")
    private String zgdw;
    /**创建日期*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
    /**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**更新日期*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
    /**所属部门*/
    @ApiModelProperty(value = "所属部门")
    @Dict(dictTable = "sys_depart", dicText = "depart_name", dicCode = "org_code")
    private String sysOrgCode;
    /**地块名称*/
    @Excel(name = "地块名称", width = 15)
    @ApiModelProperty(value = "地块")
    private String dk;
    /**地块名称*/
    @Excel(name = "地块编号", width = 15)
    @ApiModelProperty(value = "地块编号")
    private java.lang.String dkbh;
    /**证书/合同/文件编号*/
    @Excel(name = "证书/合同/文件编号", width = 15)
    @ApiModelProperty(value = "证书/合同/文件编号")
    private String wjbh;
    /**土地使用权人*/
    @Excel(name = "土地使用权人", width = 15)
    @ApiModelProperty(value = "土地使用权人")
    private String tdsyqr;
    /**实际占用土地面积*/
    @Excel(name = "实际占用土地面积（平方米）", width = 15)
    @ApiModelProperty(value = "实际占用土地面积")
    private Double sjzytdmj;
    /**其中批准使用面积*/
    @Excel(name = "其中证载使用土地面积（平方米）", width = 15)
    @ApiModelProperty(value = "其中证载使用土地面积（平方米）")
    private Double qzpzsymj;
    /**实际使用建筑面积*/
    @Excel(name = "实际使用建筑面积（平方米）", width = 15)
    @ApiModelProperty(value = "实际使用建筑面积")
    private Double sjsyjzmj;
    /**其中批准使用面积2*/
    @Excel(name = "其中证载使用建筑面积（平方米）", width = 15)
    @ApiModelProperty(value = "其中批准使用建筑面积")
    private Double qzpzsymj2;

    /**使用权使用方式*/
    @Excel(name = "取得方式", width = 15, dicCode = "syqsyfs")
    @Dict(dicCode = "syqsyfs")
    @ApiModelProperty(value = "取得方式")
    private String syqsyfs;
    /**县区*/
    @Excel(name = "地市", width = 15,dicCode = "xq")
    @TableField(exist = false)
    @ApiModelProperty(value = "县区" )
    private String xq;
    /**行政区划*/
    @Excel(name = "县区", width = 15,dicCode = "xzqh")
    @ApiModelProperty(value = "行政区划" )
    private String xzqh;

    /**坐落位置*/
    @Excel(name = "坐落位置", width = 15)
    @ApiModelProperty(value = "坐落位置")
    private String zlwz;
    /**实际用途*/
    @Excel(name = "实际用途", width = 15, dicCode = "id",dictTable = "sys_category",dicText = "name")
    @Dict(dicCode = "id",dictTable = "sys_category",dicText = "name")
    @ApiModelProperty(value = "实际用途")
    private String sjyt;
    /**权属起始时间*/
    @Excel(name = "权属起始时间", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "权属起始时间")
    private Date qsqssj;
    /**权属到期时间*/
    @Excel(name = "权属到期时间", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "权属到期时间")
    private Date qsdqsj;
    /**土地使用现状*/
    @Excel(name = "土地使用现状", width = 15, dicCode = "tdsyxz")
    @Dict(dicCode = "tdsyxz")
    @ApiModelProperty(value = "土地使用现状")
    private String tdsyxz;
    /**担保、抵押、查封情况*/
    @Excel(name = "担保、抵押、查封情况", width = 15, dicCode = "dbdycfqk")
    @Dict(dicCode = "dbdycfqk")
    @ApiModelProperty(value = "担保、抵押、查封情况")
    private String dbdycfqk;
    /**备注*/
    @Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private String bz;

    /**是否上报*/
    @Dict(dicCode = "xxsbzt")
    @Excel(name = "是否上报", width = 15, dicCode = "xxsbzt")
    @ApiModelProperty(value = "是否上报")
    private Integer sfsb;

    /**权属期限*/
    @Excel(name = "权属期限", width = 15, dicCode = "qsqx")
    @Dict(dicCode = "qsqx")
    @ApiModelProperty(value = "权属期限")
    private String qsqx;

    /**审核时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "审核时间")
    private Date shsj;

    /**权益受损情况*/
    @Excel(name = "权益受损情况", width = 15)
    @ApiModelProperty(value = "权益受损情况")
    @Dict(dicCode = "qyssqk")
    private String qyssqk;

    /**实际使用建筑面积单位*/
    @ApiModelProperty(value = "实际使用建筑面积单位")
    private String sjsyjzmjdw;

    /**批准用途*/
    @Excel(name = "批准用途", width = 15, dicCode = "id",dictTable = "sys_category",dicText = "name")
    @Dict(dicCode = "id",dictTable = "sys_category",dicText = "name")
    @ApiModelProperty(value = "批准用途")
    private String pzyt;
    /**出租出借情况*/
    @Excel(name = "出租出借情况", width = 15)
    @ApiModelProperty(value = "出租出借情况")
    @Dict(dicCode = "czcjqk")
    private String czcjqk;
    /**证书类型*/
    @Excel(name = "证书类型", width = 15)
    @ApiModelProperty(value = "证书类型")
    @Dict(dicCode = "zslx")
    private String zslx;
    /**审核意见*/
    @Excel(name = "审核意见", width = 15)
    @ApiModelProperty(value = "审核意见")
    private String shyj;
}
