package org.jeecg.modules.zrzyqc.qcsb.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 这是一个暂存功能实体类
 * @Author: jeecg-boot
 * @Date:   2022-06-29
 * @Version: V1.0
 */
@Data
@TableName("qc_ssgqzysytdqkzc")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="qc_ssgqzysytdqkzc对象", description="暂存功能实体类")
public class QcSsgqzysytdqkzc implements Serializable {
	private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
	@ApiModelProperty(value = "主键")
	private String id;
	/**创建人*/
	@ApiModelProperty(value = "创建人")
	@Excel(name = "用地单位", width = 15)
	private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "创建日期")
	private Date createTime;
	/**更新人*/
	@ApiModelProperty(value = "更新人")
	private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "更新日期")
	private Date updateTime;
	/**所属部门*/
	@ApiModelProperty(value = "所属部门")
	@Dict(dictTable = "sys_depart", dicText = "depart_name", dicCode = "org_code")
	private String sysOrgCode;
	/**地块名称*/
	@Excel(name = "地块名称", width = 15)
	@ApiModelProperty(value = "地块")
	private String dk;
	/**文件类型*/
	@Excel(name = "文件类型", width = 15, dicCode = "wjlx")
	@Dict(dicCode = "wjlx")
	@ApiModelProperty(value = "文件类型")
	private String wjlx;
	/**证书/合同/文件编号*/
	@Excel(name = "证书/合同/文件编号", width = 15)
	@ApiModelProperty(value = "证书/合同/文件编号")
	private String wjbh;
	/**土地使用权人*/
	@Excel(name = "土地使用权人", width = 15)
	@ApiModelProperty(value = "土地使用权人")
	private String tdsyqr;
	/**实际占用土地面积*/
	@Excel(name = "实际占用土地面积（平方米）", width = 15)
	@ApiModelProperty(value = "实际占用土地面积")
	private Double sjzytdmj;
	/**其中批准使用面积*/
	@Excel(name = "其中批准使用面积", width = 15)
	@ApiModelProperty(value = "其中批准使用面积")
	private Double qzpzsymj;
	/**实际使用建筑面积*/
	@Excel(name = "实际使用建筑面积", width = 15)
	@ApiModelProperty(value = "实际使用建筑面积")
	private Double sjsyjzmj;
	/**其中批准使用面积2*/
	@Excel(name = "其中批准使用面积2", width = 15)
	@ApiModelProperty(value = "其中批准使用面积2")
	private Double qzpzsymj2;
	/**容积率*/
	@Excel(name = "容积率", width = 15)
	@ApiModelProperty(value = "容积率")
	private Double sjrjl;
	/**使用权使用方式*/
	@Excel(name = "使用权使用方式", width = 15, dicCode = "syqsyfs")
	@Dict(dicCode = "syqsyfs")
	@ApiModelProperty(value = "使用权使用方式")
	private String syqsyfs;
	/**行政区划*/
	@Excel(name = "行政区划", width = 15)
	@ApiModelProperty(value = "行政区划")
	private String xzqh;
	/**坐落位置*/
	@Excel(name = "坐落位置", width = 15)
	@ApiModelProperty(value = "坐落位置")
	private String zlwz;
	/**实际用途*/
	@Excel(name = "实际用途", width = 15, dicCode = "id",dictTable = "sys_category",dicText = "name")
	@Dict(dicCode = "id",dictTable = "sys_category",dicText = "name")
	@ApiModelProperty(value = "实际用途")
	private String sjyt;
	/**权属起始时间*/
	@Excel(name = "权属起始时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@ApiModelProperty(value = "权属起始时间")
	private Date qsqssj;
	/**权属到期时间*/
	@Excel(name = "权属到期时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@ApiModelProperty(value = "权属到期时间")
	private Date qsdqsj;
	/**土地使用现状*/
	@Excel(name = "土地使用现状", width = 15, dicCode = "tdsyxz")
	@Dict(dicCode = "tdsyxz")
	@ApiModelProperty(value = "土地使用现状")
	private String tdsyxz;
	/**担保、抵押、查封情况*/
	@Excel(name = "担保、抵押、查封情况", width = 15, dicCode = "dbdycfqk")
	@Dict(dicCode = "dbdycfqk")
	@ApiModelProperty(value = "担保、抵押、查封情况")
	private String dbdycfqk;
	/**备注*/
	@Excel(name = "备注", width = 15)
	@ApiModelProperty(value = "备注")
	private String bz;
	/**附件材料*/
	@Excel(name = "附件材料", width = 15)
	@ApiModelProperty(value = "附件材料")
	private String xgwj;
	/**是否上报*/
	@Excel(name = "是否上报", width = 15, dicCode = "xxsbzt")
	@Dict(dicCode = "xxsbzt")
	@ApiModelProperty(value = "是否上报")
	private Integer sfsb;
	/**实际占用土地面积单位*/
	@Excel(name = "实际占用土地面积单位", width = 15)
	@ApiModelProperty(value = "实际占用土地面积单位")
	private String sjzytdmjdw;
	/**其中批准土地面积单位*/
	@Excel(name = "其中批准土地面积单位", width = 15)
	@ApiModelProperty(value = "其中批准土地面积单位")
	private String qzpztdmjdw;
	/**实际使用建筑面积单位*/
	@Excel(name = "实际使用建筑面积单位", width = 15)
	@ApiModelProperty(value = "实际使用建筑面积单位")
	private String sjsyjzmjdw;
	/**其中批准建筑面积单位*/
	@Excel(name = "其中批准建筑面积单位", width = 15)
	@ApiModelProperty(value = "其中批准建筑面积单位")
	private String qzpzsymjdw;
	/**实际占用面积单位（亩）*/
	@Excel(name = "实际占用面积单位（亩）", width = 15)
	@ApiModelProperty(value = "实际占用面积单位（亩）")
	private Double sjzytdmjM;
	/**实际占用面积单位（公顷）*/
	@Excel(name = "实际占用面积单位（公顷）", width = 15)
	@ApiModelProperty(value = "实际占用面积单位（公顷）")
	private Double sjzytdmjGq;
	/**实际占用面积单位（平方米）*/
	@Excel(name = "实际占用面积单位（平方米）", width = 15)
	@ApiModelProperty(value = "实际占用面积单位（平方米）")
	private Double sjzytdmjPf;
	/**其中批准土地面积(亩)*/
	@Excel(name = "其中批准土地面积(亩)", width = 15)
	@ApiModelProperty(value = "其中批准土地面积(亩)")
	private Double qzpztdmjM;
	/**其中批准土地面积(公顷)*/
	@Excel(name = "其中批准土地面积(公顷)", width = 15)
	@ApiModelProperty(value = "其中批准土地面积(公顷)")
	private Double qzpztdmjGq;
	/**其中批准土地面积(平方米)*/
	@Excel(name = "其中批准土地面积(平方米)", width = 15)
	@ApiModelProperty(value = "其中批准土地面积(平方米)")
	private Double qzpztdmjPf;
	/**实际使用建筑面积(亩)*/
	@Excel(name = "实际使用建筑面积(亩)", width = 15)
	@ApiModelProperty(value = "实际使用建筑面积(亩)")
	private Double sjsyjzmjM;
	/**实际使用建筑面积(公顷)*/
	@Excel(name = "实际使用建筑面积(公顷)", width = 15)
	@ApiModelProperty(value = "实际使用建筑面积(公顷)")
	private Double sjsyjzmjGq;
	/**实际使用建筑面积(平方米)*/
	@Excel(name = "实际使用建筑面积(平方米)", width = 15)
	@ApiModelProperty(value = "实际使用建筑面积(平方米)")
	private Double sjsyjzmjPf;
	/**其中批准建筑面积(亩)*/
	@Excel(name = "其中批准建筑面积(亩)", width = 15)
	@ApiModelProperty(value = "其中批准建筑面积(亩)")
	private Double qzpzjzmjM;
	/**其中批准建筑面积(公顷)*/
	@Excel(name = "其中批准建筑面积(公顷)", width = 15)
	@ApiModelProperty(value = "其中批准建筑面积(公顷)")
	private Double qzpzjzmjGq;
	/**其中批准建筑面积(平方米)*/
	@Excel(name = "其中批准建筑面积(平方米)", width = 15)
	@ApiModelProperty(value = "其中批准建筑面积(平方米)")
	private Double qzpzjzmjPf;
	/**审核是否通过*/
	@Excel(name = "审核是否通过", width = 15)
	@ApiModelProperty(value = "审核是否通过")
	private String shzt;
	/**审核意见*/
	@Excel(name = "审核意见", width = 15)
	@ApiModelProperty(value = "审核意见")
	private String shyj;
	/**审核人*/
	@Excel(name = "审核人", width = 15)
	@ApiModelProperty(value = "审核人")
	private String shren;
	/**审核日期*/
	@Excel(name = "审核日期", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "审核日期")
	private Date shrq;
	/**权属期限*/
	@Excel(name = "权属期限", width = 15, dicCode = "qsqx")
	@Dict(dicCode = "qsqx")
	@ApiModelProperty(value = "权属期限")
	private String qsqx;
	/**现场照片*/
	@Excel(name = "现场照片", width = 15)
	@ApiModelProperty(value = "现场照片")
	private String xczp;
	/**统一社会信用代码证书*/
	@Excel(name = "统一社会信用代码证书", width = 15)
	@ApiModelProperty(value = "统一社会信用代码证书")
	private String tyshxydmzs;
	/**土地资产权属证明材料*/
	@Excel(name = "土地资产权属证明材料", width = 15)
	@ApiModelProperty(value = "土地资产权属证明材料")
	private String tdzcqszmcl;
	/**房屋资产权属证明材料*/
	@Excel(name = "房屋资产权属证明材料", width = 15)
	@ApiModelProperty(value = "房屋资产权属证明材料")
	private String fwzcqszmcl;
	/**坐标位置相关证明材料*/
	@Excel(name = "坐标位置相关证明材料", width = 15)
	@ApiModelProperty(value = "坐标位置相关证明材料")
	private String zbwzxgzmcl;
	/**是否共用宗*/
	@Excel(name = "是否共用宗", width = 15, dicCode = "sfgyz")
	@Dict(dicCode = "sfgyz")
	@ApiModelProperty(value = "是否共用宗")
	private String sfgyz;
	/**总建筑面积*/
	@Excel(name = "总建筑面积", width = 15)
	@ApiModelProperty(value = "总建筑面积")
	private Double zjzmj;
	/**机构类型*/
	@Excel(name = "机构类型", width = 15)
	@ApiModelProperty(value = "机构类型")
	private String jglx;
	/**统一社会信用代码*/
	@Excel(name = "统一社会信用代码", width = 15)
	@ApiModelProperty(value = "统一社会信用代码")
	private String tyshxydm;

	/**上级单位*/
	@Excel(name = "上级单位", width = 15)
	@ApiModelProperty(value = "上级单位")
	private String sjdw;

	/**意向盘活主体*/
	@Excel(name = "意向盘活主体", width = 15)
	@ApiModelProperty(value = "意向盘活主体")
	private String  yxphzt;

	/**意向盘活方式*/
	@Excel(name = "意向盘活方式", width = 15)
	@ApiModelProperty(value = "意向盘活方式")
	private String  yxphfs;
	/**取得日期*/
	@Excel(name = "取得日期", width = 15)
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@ApiModelProperty(value = "取得日期")
	private Date qdrq;
	/**发证日期*/
	@Excel(name = "发证日期", width = 15)
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@ApiModelProperty(value = "发证日期")
	private Date fzrq;

	/**闲置*/
	@Excel(name = "闲置", width = 15)
	@ApiModelProperty(value = "闲置")
	private String xz;
	/**待处置（待报废、毁损等）*/
	@Excel(name = "待处置（待报废、毁损等）", width = 15)
	@ApiModelProperty(value = "待处置（待报废、毁损等）")
	private String dcz;
	/**权属性质*/
	@Excel(name = "权属性质", width = 15)
	@ApiModelProperty(value = "权属性质")
	private String qsxz;


	/**统一社会信用编码*/
	@Excel(name = "统一社会信用编码", width = 15)
	@ApiModelProperty(value = "统一社会信用编码")
	private String tyshxybm;


	/**单位级别*//*
	@Excel(name = "单位级别", width = 15,dicCode = "dwjb")
	@ApiModelProperty(value = "单位级别")
	@Dict(dicCode = "dwjb")
	private String orgType;
	*//**单位编码*//*
	@Excel(name = "单位编码", width = 15)
	@ApiModelProperty(value = "单位编码")
	private String orgCode;*/

	/**企业类型*//*
	@Excel(name = "企业类型", width = 15, dicCode = "qylx")
	@Dict(dicCode = "qylx")
	@ApiModelProperty(value = "企业类型")
	private String qylx;
	*//**国有资产持股比例*//*
	@Excel(name = "国有资产持股比例", width = 15)
	@ApiModelProperty(value = "国有资产持股比例")
	private Double gyzccgbl;
	*//**联络人*//*
	@Excel(name = "联络人", width = 15)
	@ApiModelProperty(value = "联络人")
	private java.lang.String tbr;
	*//**分管领导*//*
	@Excel(name = "分管领导", width = 15)
	@ApiModelProperty(value = "分管领导")
	private java.lang.String fgld;
	*//**手机号*//*
	@Excel(name = "分管领导手机号", width = 15)
	@ApiModelProperty(value = "分管领导手机号")
	private java.lang.String fgldsjh;
	*//**手机号*//*
	@Excel(name = "手机号", width = 15)
	@ApiModelProperty(value = "手机号")
	private java.lang.String sjh;
	*//**座机号*//*
	@Excel(name = "座机号", width = 15)
	@ApiModelProperty(value = "座机号")
	private java.lang.String zjh;*/


	/**审核时间*/
	@Excel(name = "审核时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "审核时间")
	private Date shsj;
	/**企业编码*/
	@Excel(name = "企业编码", width = 15)
	@ApiModelProperty(value = "企业编码")
	private String qybm;
	/**是否涉及省内土地资产*/
	@Excel(name = "是否涉及省内土地资产", width = 15)
	@ApiModelProperty(value = "是否涉及省内土地资产")
	private String sfsjtdzc;
	/**权益受损情况*/
	@Excel(name = "权益受损情况", width = 15)
	@ApiModelProperty(value = "权益受损情况")
	@Dict(dicCode = "qyssqk")
	private String qyssqk;

	/**批准用途*/
	@Excel(name = "批准用途", width = 15, dicCode = "id",dictTable = "sys_category",dicText = "name")
	@Dict(dicCode = "id",dictTable = "sys_category",dicText = "name")
	@ApiModelProperty(value = "批准用途")
	private String pzyt;
	/**出租出借情况*/
	@Excel(name = "出租出借情况", width = 15)
	@ApiModelProperty(value = "出租出借情况")
	@Dict(dicCode = "czcjqk")
	private String czcjqk;
	/**证书类型*/
	@Excel(name = "证书类型", width = 15)
	@ApiModelProperty(value = "证书类型")
	@Dict(dicCode = "zslx")
	private String zslx;
	/**纬度*/
	@Excel(name = "纬度", width = 15)
	@ApiModelProperty(value = "纬度")
	private String lat;
	/**精度*/
	@Excel(name = "精度", width = 15)
	@ApiModelProperty(value = "精度")
	private String lng;
	/**暂存状态*/
	@Dict(dicCode = "zczt")
	@ApiModelProperty(value = "暂存状态")
	private Integer zczt;


}
