package org.jeecg.modules.zrzyqc.qyxx.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 用地单位信息
 * @Author: jeecg-boot
 * @Date:   2022-07-08
 * @Version: V1.0
 */
@Data
@TableName("qc_qyxx")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="qc_qyxx对象", description="用地单位信息")
public class QcQyxx implements Serializable {
    private static final long serialVersionUID = 1L;
	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @Dict(dictTable = "sys_depart", dicText = "depart_name", dicCode = "org_code")
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
    /**单位级别*/
    @Excel(name = "单位级别", width = 15,dicCode = "dwjb")
    @ApiModelProperty(value = "单位级别")
    @Dict(dicCode = "dwjb")
    private String orgType;
    /**单位编码*/
    @Excel(name = "单位编码", width = 15)
    @ApiModelProperty(value = "单位编码")
    private String orgCode;
    /**上级单位*/
    @Excel(name = "上级单位", width = 15)
    @ApiModelProperty(value = "上级单位")
    private String sjdw;
	/**企业名称*/
	@Excel(name = "企业名称", width = 15, dictTable = "sys_depart", dicText = "depart_name", dicCode = "depart_name")
	@Dict(dictTable = "sys_depart", dicText = "depart_name", dicCode = "depart_name")
    @ApiModelProperty(value = "企业名称")
    private String qymc;
	/**统一社会信用编码*/
	@Excel(name = "统一社会信用编码", width = 15)
    @ApiModelProperty(value = "统一社会信用编码")
    private String tyshxybm;
	/**企业类型*/
	@Excel(name = "企业类型", width = 15, dicCode = "qylx")
	@Dict(dicCode = "qylx")
    @ApiModelProperty(value = "企业类型")
    private String qylx;
	/**国有资产持股比例*/
	@Excel(name = "国有资产持股比例", width = 15)
    @ApiModelProperty(value = "国有资产持股比例")
    private Double gyzccgbl;
    /**联络人*/
    @Excel(name = "联络人", width = 15)
    @ApiModelProperty(value = "联络人")
    private java.lang.String tbr;
    /**分管领导*/
    @Excel(name = "分管领导", width = 15)
    @ApiModelProperty(value = "分管领导")
    private java.lang.String fgld;
    /**手机号*/
    @Excel(name = "分管领导手机号", width = 15)
    @ApiModelProperty(value = "分管领导手机号")
    private java.lang.String fgldsjh;
    /**手机号*/
    @Excel(name = "手机号", width = 15)
    @ApiModelProperty(value = "手机号")
    private java.lang.String sjh;
    /**座机号*/
    @Excel(name = "座机号", width = 15)
    @ApiModelProperty(value = "座机号")
    private java.lang.String zjh;
    /**是否上报*/
    @Excel(name = "是否上报", width = 15,dicCode = "xxsbzt")
    @Dict(dicCode = "xxsbzt")
    @ApiModelProperty(value = "是否上报")
    private java.lang.Integer sfsb;
    /**审核是否通过*/
    @Excel(name = "审核是否通过", width = 15)
    @ApiModelProperty(value = "审核是否通过")
    private java.lang.String shzt;
    /**上级单位*/
    @Excel(name = "上级单位代码", width = 15)
    @ApiModelProperty(value = "上级单位代码")
    private String sjdwdm;
    /**审核意见*/
    @Excel(name = "审核意见", width = 15)
    @ApiModelProperty(value = "审核意见")
    private java.lang.String shyj;
    /**审核人*/
    @Excel(name = "审核人", width = 15)
    @ApiModelProperty(value = "审核人")
    private java.lang.String shren;
    /**审核时间*/
    @Excel(name = "审核时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "审核时间")
    private java.util.Date shsj;
    /**审核时间*/
    @Excel(name = "审核时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "审核日期")
    private java.util.Date shrq;
    /**企业编码*/
    @Excel(name = "企业编码", width = 15)
    @ApiModelProperty(value = "企业编码")
    private java.lang.String qybm;
    /**是否涉及省内土地资产*/
    @Excel(name = "是否涉及省内土地资产", width = 15)
    @ApiModelProperty(value = "是否涉及省内土地资产")
    private java.lang.String sfsjtdzc;
    /**统一社会信用代码证书*/
    @Excel(name = "统一社会信用代码证书", width = 15)
    @ApiModelProperty(value = "统一社会信用代码证书")
    private java.lang.String tyshxydmzs;
    /**机构类型*/
    @Excel(name = "机构类型", width = 15)
    @ApiModelProperty(value = "机构类型")
    private java.lang.String jglx;

}
